using System;

namespace ProjectManagementSystem.Device.Core
{
    public class CommunicationBase
    {
        public Action<string, Exception> OnLogMsg;
        public Action<string, byte[]> DataReceived;

        public void LogMsg(string log, Exception ex = null)
        {
            OnLogMsg?.Invoke(log, ex);
        }
    }
}